package com.sixin.module_p.ui.shouyun

import android.content.Context
import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import com.lukouguoji.module_base.base.BaseBindingActivity
import com.sixin.module_p.R
import com.sixin.module_p.base.BasePdaActivity
import com.sixin.module_p.databinding.ActivityPdaShouYunBinding
import com.sixin.module_p.helper.PDAHelper
import me.jessyan.autosize.internal.CustomAdapt

class PdaShouYunActivity : BasePdaActivity<ActivityPdaShouYunBinding, PdaShouYunViewModel>(),
    CustomAdapt {

    override fun layoutId() = R.layout.activity_pda_shou_yun

    override fun viewModelClass(): Class<PdaShouYunViewModel> {
        return PdaShouYunViewModel::class.java
    }

    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("国际出港开始收运")
        viewModel.init()
        binding.viewModel = viewModel
    }

    override fun isBaseOnWidth() = true

    override fun getSizeInDp(): Float = PDAHelper.PDA_WIDTH


    companion object {
        @JvmStatic
        fun start(context: Context) {
            val starter = Intent(context, PdaShouYunActivity::class.java)
            context.startActivity(starter)
        }
    }
}